
package de.ivu.elect.was.exchange.ergebnis;

import java.util.Collection;

import de.ivu.elect.business.ergebnis.entity.Stimmabgabeart;
import de.ivu.elect.business.security.Customer;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.was.exchange.ergebnis.csv.AbstractNlWasOsvXxCsvNachGebietErgebniseingabestatusExportMapper;

public abstract class AbstractNlWasModelO20OsvXxCsvExportMapper extends AbstractNlWasOsvXxCsvNachGebietErgebniseingabestatusExportMapper implements NlWasModelO20ExportMapper {

  protected AbstractNlWasModelO20OsvXxCsvExportMapper() {
    super();
  }

  @Override
  protected boolean isAcceptWahlebene(Wahl wahl, Customer customer) {
    return NlWasModelO20ExportMapperHelper.isAcceptWahlebene(wahl, customer);
  }

  @Override
  protected Collection<NlWahlart> collectWahlartenAccepted() {
    return NlWasModelO20ExportMapperHelper.collectWahlartenAccepted();
  }

  @Override
  protected Collection<Stimmabgabeart> collectStimmabgabeartenAccepted() {
    return NlWasModelO20ExportMapperHelper.collectStimmabgabeartenAccepted();
  }

  @Override
  protected boolean isAcceptWahlergebniserfassung(Wahl wahl, Customer customer) {
    return NlWasModelO20ExportMapperHelper.isAcceptWahlergebniserfassung(wahl, customer);
  }

  @Override
  protected Collection<Ergebniseingabestatus> collectErgebniseingabestatusAccepted() {
    return NlWasModelO20ExportMapperHelper.collectErgebniseingabestatusAccepted();
  }
}
